# CryoSPARC Merlin 7 lanes

This repository contains CryoSPARC *lanes* tailored for running jobs at PSI using Merlin 7.

## Installation

Clone the repository using Git on **Merlin 7**. This is typically done from within your CryoSPARC installation directory (e.g., `/data/user/<user>/cryosparc/`):

```bash
git clone -b merlin7 https://gitea.psi.ch/CLS-IT/merlin-cryosparc.git config
````

If you already have cloned this repository, run the following command in your directory CryoSPARC installation directory:
```bash
git pull
```

Next, update all `cluster_info.json` files to reflect the correct worker path by replacing the placeholder `USERNAME`. A helper script is available to do this automatically:

```bash
ssh $USER@merlin7-cryosparc01.psi.ch "install_filter"
```

Then, connect the updated lanes to CryoSPARC. This must be done from the machine where CryoSPARC is running. To connect **all** lanes:

```bash
ssh $USER@merlin7-cryosparc01.psi.ch "connect_all"
```

Alternatively, to connect a specific lane manually:

```bash
ssh $USER@merlin7-cryosparc01.psi.ch "connect_new lane_name"
```

## For Developers

If you're contributing to this repository, install Git filters and hooks by running:

```bash
dev/install_filters.sh
```

To prepare a new release and update version numbers consistently:

```bash
dev/mkrelease.sh
```
